com.amazonaws.services.elastictranscoder.model

## Class Timing

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Timing

All Implemented Interfaces:
  Serializable, Cloneable

    public class Timing
    extends Object
    implements Serializable, Cloneable

Details about the timing of a job.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Timing()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Timing` `clone()`
`boolean` `equals(Object obj)`
`Long` `getFinishTimeMillis()` The time the job finished transcoding, in epoch milliseconds.
`Long` `getStartTimeMillis()` The time the job began transcoding, in epoch milliseconds.
`Long` `getSubmitTimeMillis()` The time the job was submitted to Elastic Transcoder, in epoch milliseconds.
`int` `hashCode()`
`void` `setFinishTimeMillis(Long finishTimeMillis)` The time the job finished transcoding, in epoch milliseconds.
`void` `setStartTimeMillis(Long startTimeMillis)` The time the job began transcoding, in epoch milliseconds.
`void` `setSubmitTimeMillis(Long submitTimeMillis)` The time the job was submitted to Elastic Transcoder, in epoch milliseconds.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Timing` `withFinishTimeMillis(Long finishTimeMillis)` The time the job finished transcoding, in epoch milliseconds.
`Timing` `withStartTimeMillis(Long startTimeMillis)` The time the job began transcoding, in epoch milliseconds.
`Timing` `withSubmitTimeMillis(Long submitTimeMillis)` The time the job was submitted to Elastic Transcoder, in epoch milliseconds.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Timing

    public Timing()

### Method Detail

#### setSubmitTimeMillis

    public void setSubmitTimeMillis(Long submitTimeMillis)

The time the job was submitted to Elastic Transcoder, in epoch milliseconds.

Parameters:
  `submitTimeMillis` - The time the job was submitted to Elastic Transcoder, in epoch milliseconds.

#### getSubmitTimeMillis

    public Long getSubmitTimeMillis()

The time the job was submitted to Elastic Transcoder, in epoch milliseconds.

Returns:
  The time the job was submitted to Elastic Transcoder, in epoch milliseconds.

#### withSubmitTimeMillis

    public Timing withSubmitTimeMillis(Long submitTimeMillis)

The time the job was submitted to Elastic Transcoder, in epoch milliseconds.

Parameters:
  `submitTimeMillis` - The time the job was submitted to Elastic Transcoder, in epoch milliseconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartTimeMillis

    public void setStartTimeMillis(Long startTimeMillis)

The time the job began transcoding, in epoch milliseconds.

Parameters:
  `startTimeMillis` - The time the job began transcoding, in epoch milliseconds.

#### getStartTimeMillis

    public Long getStartTimeMillis()

The time the job began transcoding, in epoch milliseconds.

Returns:
  The time the job began transcoding, in epoch milliseconds.

#### withStartTimeMillis

    public Timing withStartTimeMillis(Long startTimeMillis)

The time the job began transcoding, in epoch milliseconds.

Parameters:
  `startTimeMillis` - The time the job began transcoding, in epoch milliseconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFinishTimeMillis

    public void setFinishTimeMillis(Long finishTimeMillis)

The time the job finished transcoding, in epoch milliseconds.

Parameters:
  `finishTimeMillis` - The time the job finished transcoding, in epoch milliseconds.

#### getFinishTimeMillis

    public Long getFinishTimeMillis()

The time the job finished transcoding, in epoch milliseconds.

Returns:
  The time the job finished transcoding, in epoch milliseconds.

#### withFinishTimeMillis

    public Timing withFinishTimeMillis(Long finishTimeMillis)

The time the job finished transcoding, in epoch milliseconds.

Parameters:
  `finishTimeMillis` - The time the job finished transcoding, in epoch milliseconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Timing clone()

Overrides:
  `clone` in class `Object`